makedumpfile_1.5.3-2_amd64.deb


Advertisement

Description

makedumpfile - VMcore extraction tool

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: makedumpfile
Package version: 1.5.3
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 335 B
Download size: 118.04 KB
Official Mirror: ftp.br.debian.org
This program is used to extract a subset of the memory available either via /dev/mem or /proc/vmcore (for crashdumps). It is used to get memory images without extra uneeded information (zero pages, userspace programs, etc).

Alternatives

Replaces

  • kdump-tools << 1.3.4-1~

    Download

    Source package: makedumpfile

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install makedumpfile deb package:
      # sudo apt-get install makedumpfile

    Files

    • /usr/bin/makedumpfile
    • /usr/bin/makedumpfile-R.pl
    • /usr/share/doc/makedumpfile/changelog.Debian.gz
    • /usr/share/doc/makedumpfile/copyright
    • /usr/share/man/man5/makedumpfile.conf.5.gz
    • /usr/share/man/man8/makedumpfile.8.gz

    Changelog

    2014-12-02 - Louis Bouchard <louis.bouchard@ubuntu.com> makedumpfile (1:1.5.3-2) unstable; urgency=medium * Adapt to kernel 3.16 changes in symbols : - Work around removal of struct vmlist in kernel 3.16 - Fix dump_dmesg accordingly - Backported commits are : 759b78c, cee64e3, 8145e41, e203095, 150b58eb, 846ab2e, 1202589, 8a0236c, 9d38132, e24dc53 Closes: #719943 * Implement systemd service and correct mechanism to capture kernel dumps under systemd control Closes: #771210

    2013-03-31 - John Wright <jsw@debian.org> makedumpfile (1.5.3-1) unstable; urgency=low [ Louis Bouchard ] * New upstream version - Drop 0003-PATCH-dump-dmesg-fix-for-post-3.5-kernels.patch (included upstream) - Rebase 0002-Use-install-instead-of-cp-in-Makefile.patch

    2013-02-05 - Louis Bouchard <louis.bouchard@canonical.com> makedumpfile (1.5.1-1) unstable; urgency=low * Merge of new upstream version 1.5.1 * Add --dmesg-fix from upstream 1.5.2 for kernels 3.5 and above * Add creation of /var/crash/dmesg.{timestamp} by kdump-config

    2012-09-17 - Louis Bouchard <louis.bouchard@ubuntu.com> makedumpfile (1.5.0-1) unstable; urgency=low * New upstream version 1.5.0

    2012-07-16 - John Wright <jsw@debian.org> makedumpfile (1.4.4-1) unstable; urgency=low * New upstream version

    2012-06-10 - John Wright <jsw@debian.org> makedumpfile (1.4.3-1) unstable; urgency=low [ Louis Bouchard ] * Update packaging for upstream version 1.4.3 [ John Wright ] * Add Louis Bouchard to Uploaders. Thanks!

    2012-01-22 - John Wright <jsw@debian.org> makedumpfile (1.4.0-1) unstable; urgency=low * New upstream version * Drop makedumpfile-static package, since makedumpfile depends on libebl, which is no longer available statically, and nobody is depending on makedumpfile-static anyway

    2011-04-26 - John Wright <jsw@debian.org> makedumpfile (1.3.7-2) unstable; urgency=low * Cherry-pick upstream commits: - [PATCH] BUGFIX: Avoid SIGSEGV when specifying -V option. (5b8c2da75cbdb230019a3b956793fb768055b977) - [PATCH] Copy correct nr_cpus info to dumpfile during re-filtering. (c4f1c98a9827c1c0e41772c1954940fbf1b48048) * kdump-tools.init: Don't exit with failure status except for bad usage. This way, even if /etc/default/kdump-tools has USE_KDUMP=1 but the kernel command line or debug kernels are not set up, installation of a new version of the package will not leave it unconfigured. (Closes: #623470)

    2011-04-17 - John Wright <jsw@debian.org> makedumpfile (1.3.7-1) unstable; urgency=low [ John Wright ] * New upstream version * kdump-config: Clean up kernel command-line argument stripping * kdump-tools.init: Remove a stray "$" in the usage statement (Closes: #581116) [ dave medberry ] * kdump-config: Convert 3 log_failure_msg to a log_warning_msg (Closes: #594411)

    2010-03-03 - John Wright <jsw@debian.org> makedumpfile (1.3.5-1) unstable; urgency=low * New upstream version * Preserve upstream's original makedumpfile.8 in clean target * kdump-config: Fix a typo * Switch to the "3.0 (quilt)" source format - Remove unneeded Build-Depends on quilt * Update kdump-tools.README.Debian to reflect that recent kernels don't need a crash kernel start address * Apply patch from Petter Reinholdtsen to fix incorrect dependencies in kdump-tools.init (Closes: #569685) * Indicate support for Linux 2.6.32 - Although upstream hasn't updated its LATEST_VERSION macro, this version works without modification on Linux 2.6.32. Squelch a warning that a 2.6.32 kernel is not supported. * Backport upstream commit 4a16bd39866093f4949f8e9dc183fa2321bda22d - Fix buffer overflow when writing dh->signature

    Advertisement
    Advertisement